Name:           multiverse
Version:        0.7.0
Release:        %mkrel 9
Group:          Development/Java
Summary:        A software transactional memory implementation for the JVM

License:        ASL 2.0
URL:            http://multiverse.codehaus.org
Source0:        https://github.com/pveentjer/Multiverse/archive/multiverse-0.7.0.tar.gz
# Only the license header is included in the source
Source1:        https://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.mockito:mockito-all)

BuildArch:      noarch

%description
A software transactional memory implementation for the JVM. Access (read and
writes) to shared memory is done through transactional references, that can be
compared to the AtomicReferences of Java. Access to these references will be
done under A (atomicity), C (consistency), I (isolation) semantics.

%package javadoc
Summary:        JavaDoc for %{name}

%description javadoc
JavaDoc for %{name}.


%prep
%setup -q -n Multiverse-%{name}-%{version}

# wagon-webdav
%pom_xpath_remove pom:build/pom:extensions

%pom_remove_plugin :maven-deploy-plugin

cp -p %{SOURCE1} .

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE-2.0.txt README.md
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc
%doc LICENSE-2.0.txt



%changelog
* Sat Mar 26 2022 umeabot <umeabot> 0.7.0-9.mga9
+ Revision: 1827326
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.7.0-8.mga8
+ Revision: 1492119
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.7.0-7.mga7
+ Revision: 1264530
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 0.7.0-5.mga6
+ Revision: 977320
- First rebuild of the java stack
- sync package multiverse with fedora
- imported package multiverse
- imported package multiverse

